<template>
    <section id="menu">
        <header>
            <h1>Welcome to Vue Trivia!</h1>
        </header>
        <div id="content">
            <p>Type your name to get started</p>
            <div id="something">
                <input id="inputName" type="text" placeholder="Choose a name..." v-model="name">
                <button id="startGameButton" class="btn btn-success" v-on:click="() => clickStartGameButton(name)">Start Game</button>
            </div>
        </div>
    </section>
</template>

<script>
    export default {
        name: "GameMenu",
        data: function() {
            return {
                name: ''
            };
        },
        methods: {
            clickStartGameButton: function (name) {
                this.$emit('clickStartGame', name);
                this.$router.push({name: 'play', params: { name }});
            }
        }
    }
</script>

<style scoped lang="scss">
    h1 {
        margin-top: 30px;
    }
    #inputName {
        background-color: #DFDFDF;
        padding: 10px;
        font-size: 20px;
        border: grey 1px solid;
        border-radius: 5px 0px 0px 5px;
    };
    #startGameButton {
        width: 150px;
        border-radius: 0px 5px 5px 0px;
        font-size: 20px;
    };
    #content {
        margin-top: 30px;
    }
    #something {
        display: flex;
        width: fit-content;
        margin: auto;
    }
    #menu {
        margin: 50px auto auto auto;
        border: 10px solid #DFDFDF;
        width: 500px;
        height: 300px;
        border-radius: 10px;
        background-color: linen;
    }
</style>